#include <OneWire.h>                 // Include the libraries we need
#include <DallasTemperature.h>

//** Definiciones **//
 
#define Pin 0                        // The pin where the DATA will be connected is declared
 
OneWire ourWire(Pin);                // Set pin declared as bus for OneWire communication
 
DallasTemperature sensors(&ourWire); // The DallasTemperature library is called

//** Programa **//

void setup() {
delay(1000);
Serial.begin(9600);
sensors.begin();                     // Start up the library
}
 
void loop() {
sensors.requestTemperatures();       // Prepare the sensor for reading
 
Serial.print(sensors.getTempCByIndex(0)); // Read and print the temperature in degrees Celsius
Serial.println(" Degrees Celsius");
 
delay(1000);                         // A 1 second stop is caused before the next reading
 
}
